#!/bin/sh
set -e

case "$1" in
    "inkscape")
        for presi in latex/*;do
            for file in $presi/*.svg;do
                [ -e "$file" ] && make "${file%.svg}".pdf || true
            done
        done
        ;;
    "latex")
        for presi in latex/*;do
            [ -e "$presi/index.tex" ] && make "$presi/index.pdf" || true
        done
        ;;
    "libreoffice")
        for presi in latex/* revealjs/*;do
            [ -e "$presi/handout.odt" ] && make "$presi/handout.pdf" || true
        done
        ;;
    "revealjs")
        make revealjs/node_modules
        ;;
    "decktape")
        for presi in revealjs/*;do
            [ -e "$presi/index.html" ] && make "$presi/index.pdf" || true
        done
        ;;
    *)
        echo "USAGE: $0 [MODE]"
        echo "modes: inkscape latex libreoffice revealjs"
        ;;
esac
